DATASETS = {
    'data_test': './datasets/data_test.csv',
    'adult': './datasets/adult.csv',
    'transport': './datasets/Nov09JnyExport.csv',
    'eudm': './datasets/Combined_survey.csv',
    'mnist_9': './datasets/mnist_9.csv',
    'mnist_0': './datasets/mnist_0.csv',
    'mnist_05': './datasets/mnist_05.csv',
    'simple_digits': './datasets/simple_digits.csv',
    'simple_digits_withdigit':'./datasets/simple_digits_withdigit.csv',
    'minist_3digits': './datasets/minist_3digits.csv',
}

# attributes specification
DATASETS_CONFIGS = {
    'data_test':{
    'attributes': ['race','sex']
    },
    'adult': {
        'attributes': ['native-country','workclass','education','marital-status','occupation','relationship','race','sex','salary'],
        'order':{
            'native-country': ['United-States', 'Mexico', '?', 'Philippines', 'Germany', 'Canada', 'Puerto-Rico', 'El-Salvador', 'India', 'Cuba', 'England', 'Jamaica', 'South', 'China', 'Italy', 'Dominican-Republic', 'Vietnam', 'Guatemala', 'Japan', 'Poland', 'Columbia', 'Taiwan', 'Haiti', 'Iran', 'Portugal', 'Nicaragua', 'Peru', 'France', 'Greece', 'Ecuador', 'Ireland', 'Hong', 'Cambodia', 'Trinadad&Tobago', 'Laos', 'Thailand', 'Yugoslavia', 'Outlying-US(Guam-USVI-etc)', 'Honduras', 'Hungary', 'Scotland', 'Holand-Netherlands'],
            'workclass': ['Private', 'Self-emp-not-inc', 'Local-gov', '?', 'State-gov', 'Self-emp-inc', 'Federal-gov', 'Without-pay', 'Never-worked'],
            'education':['HS-grad', 'Some-college', 'Bachelors', 'Masters', 'Assoc-voc', '11th', 'Assoc-acdm', '10th', '7th-8th', 'Prof-school', '9th', '12th', 'Doctorate', '5th-6th', '1st-4th', 'Preschool'],
            'marital-status':['Married-civ-spouse', 'Never-married', 'Divorced', 'Separated', 'Widowed', 'Married-spouse-absent', 'Married-AF-spouse'],
            'occupation':['Prof-specialty', 'Craft-repair', 'Exec-managerial', 'Adm-clerical', 'Sales', 'Other-service', 'Machine-op-inspct', '?', 'Transport-moving', 'Handlers-cleaners', 'Farming-fishing', 'Tech-support', 'Protective-serv', 'Priv-house-serv', 'Armed-Forces'],
            'relationship':['Husband', 'Not-in-family', 'Own-child', 'Unmarried', 'Wife', 'Other-relative'],

            }
    },


    'mnist_9': {
        'attributes': ['31', '32', '33', '34', '35', '36', '45', '46', '47', '48', '49', '50', '51', '52', '53', '54', '58', '59', '60', '61', '62', '63', '64', '65', '66', '67', '68', '72', '73', '74', '75', '76', '77', '78', '79', '80', '81', '82', '86', '87', '88', '89', '90', '91', '92', '93', '94', '95', '96', '100', '101', '102', '103', '104', '105', '106', '107', '108', '109', '110', '113', '114', '115', '116', '117', '118', '119', '120', '121', '122', '123', '124', '128', '129', '130', '131', '132', '133', '134', '135', '136', '137', '138', '142', '143', '144', '145', '146', '147', '148', '149', '150', '151', '152', '156', '157', '158', '159', '160', '161', '162', '163', '164', '165', '166', '170', '171', '172', '173', '174', '175', '176', '177', '178', '179', '180', '185', '186', '187', '188', '189', '190', '191', '192', '193', '194'],
        'cop_attributes': ['90', '91', '104', '105']
        #big: ['31', '32', '33', '34', '35', '36', '45', '46', '47', '48', '49', '50', '51', '52', '53', '54', '58', '59', '60', '61', '62', '63', '64', '65', '66', '67', '68', '72', '73', '74', '75', '76', '77', '78', '79', '80', '81', '82', '86', '87', '88', '89', '90', '91', '92', '93', '94', '95', '96', '100', '101', '102', '103', '104', '105', '106', '107', '108', '109', '110', '113', '114', '115', '116', '117', '118', '119', '120', '121', '122', '123', '124', '128', '129', '130', '131', '132', '133', '134', '135', '136', '137', '138', '142', '143', '144', '145', '146', '147', '148', '149', '150', '151', '152', '156', '157', '158', '159', '160', '161', '162', '163', '164', '165', '166', '170', '171', '172', '173', '174', '175', '176', '177', '178', '179', '180']
        #['75', '76', '77', '78', '79', '89', '90', '91', '92', '93', '103', '104', '105', '106', '107', '117', '118', '119', '120', '121', '131', '132', '133', '134', '135']
    },
    'mnist_0': {
        'attributes': ['24', '30', '31', '32', '33', '34', '35', '36', '37', '38', '39', '40', '44', '45', '46', '47', '48', '49', '50', '51', '52', '53', '54', '58', '59', '60', '61', '62', '63', '64', '65', '66', '67', '68', '72', '73', '74', '75', '76', '77', '78', '79', '80', '81', '82', '86', '87', '88', '89', '90', '91', '92', '93', '94', '95', '96', '100', '101', '102', '103', '104', '105', '106', '107', '108', '109', '110', '114', '115', '116', '117', '118', '119', '120', '121', '122', '123', '124', '128', '129', '130', '131', '132', '133', '134', '135', '136', '137', '138', '142', '143', '144', '145', '146', '147', '148', '149', '150', '151', '152', '156', '157', '158', '159', '160', '161', '162', '163', '164', '165', '170', '171', '172', '173', '174', '175', '176', '177', '178'],
        'cop_attributes': ['90', '91', '104', '105']
        #big: ['31', '32', '33', '34', '35', '36', '45', '46', '47', '48', '49', '50', '51', '52', '53', '54', '58', '59', '60', '61', '62', '63', '64', '65', '66', '67', '68', '72', '73', '74', '75', '76', '77', '78', '79', '80', '81', '82', '86', '87', '88', '89', '90', '91', '92', '93', '94', '95', '96', '100', '101', '102', '103', '104', '105', '106', '107', '108', '109', '110', '113', '114', '115', '116', '117', '118', '119', '120', '121', '122', '123', '124', '128', '129', '130', '131', '132', '133', '134', '135', '136', '137', '138', '142', '143', '144', '145', '146', '147', '148', '149', '150', '151', '152', '156', '157', '158', '159', '160', '161', '162', '163', '164', '165', '166', '170', '171', '172', '173', '174', '175', '176', '177', '178', '179', '180']
        #['75', '76', '77', '78', '79', '89', '90', '91', '92', '93', '103', '104', '105', '106', '107', '117', '118', '119', '120', '121', '131', '132', '133', '134', '135']
    },

    'mnist_05': {
        'attributes': ['17', '18', '19', '20', '21', '22', '23', '24', '30', '31', '32', '33', '34', '35', '36', '37', '38', '39', '40', '41', '43', '44', '45', '46', '47', '48', '49', '50', '51', '52', '53', '54', '55', '57', '58', '59', '60', '61', '62', '63', '64', '65', '66', '67', '68', '69', '71', '72', '73', '74', '75', '76', '77', '78', '79', '80', '81', '82', '83', '85', '86', '87', '88', '89', '90', '91', '92', '93', '94', '95', '96', '97', '99', '100', '101', '102', '103', '104', '105', '106', '107', '108', '109', '110', '111', '113', '114', '115', '116', '117', '118', '119', '120', '121', '122', '123', '124', '125', '127', '128', '129', '130', '131', '132', '133', '134', '135', '136', '137', '138', '139', '141', '142', '143', '144', '145', '146', '147', '148', '149', '150', '151', '152', '153', '155', '156', '157', '158', '159', '160', '161', '162', '163', '164', '165', '166', '167', '170', '171', '172', '173', '174', '175', '176', '177', '178', '179', '180', '186', '187', '188', '189', '190', '191'],
        'cop_attributes': ['90', '91', '104', '105']
        #big: ['31', '32', '33', '34', '35', '36', '45', '46', '47', '48', '49', '50', '51', '52', '53', '54', '58', '59', '60', '61', '62', '63', '64', '65', '66', '67', '68', '72', '73', '74', '75', '76', '77', '78', '79', '80', '81', '82', '86', '87', '88', '89', '90', '91', '92', '93', '94', '95', '96', '100', '101', '102', '103', '104', '105', '106', '107', '108', '109', '110', '113', '114', '115', '116', '117', '118', '119', '120', '121', '122', '123', '124', '128', '129', '130', '131', '132', '133', '134', '135', '136', '137', '138', '142', '143', '144', '145', '146', '147', '148', '149', '150', '151', '152', '156', '157', '158', '159', '160', '161', '162', '163', '164', '165', '166', '170', '171', '172', '173', '174', '175', '176', '177', '178', '179', '180']
        #['75', '76', '77', '78', '79', '89', '90', '91', '92', '93', '103', '104', '105', '106', '107', '117', '118', '119', '120', '121', '131', '132', '133', '134', '135']
    },

    'transport': {
        'attributes':['daytype','StartStn','EndStation', 'EntTime', 'EntTimeHHMM','ExTime', 'EXTimeHHMM']
    },

    'eudm': {
        'attributes':['Q6_BEDROOMS', 'Q4_DWELLING_STRUCTURE','Q5_WALL_CONSTRUCTION', 'Q11_HW_ELE', 'Q11_HW_MGAS', 'Q11_HW_BGAS',
       'Q11_HW_SOLAR', 'Q11_HW_HEAT_PUMP', 'Q16_HEATER_NUM',
       'Q17_HEATING_TYPE']
    },
    'simple_digits': {
        'attributes':['12', '13', '14', '15', '16', '17', '22', '24', '27', '32', '34', '37', '42', '44', '47', '52', '53', '54', '55', '56', '57', '62', '64', '67', '72', '74', '77', '82', '84', '87', '93', '94', '95', '96']
    },
    'simple_digits_withdigit': {
        'attributes':['12', '13', '14', '15', '16', '17', '22', '24', '27', '32', '34', '37', '42', '44', '47', '52', '53', '54', '55', '56', '57', '62', '64', '67', '72', '74', '77', '82', '84', '87', '93', '94', '95', '96','number0','number1','number2','number3','number4','number5','number6','number7','number8','number9']
    },
    'minist_3digits': {
        'attributes': ['33', '34', '35', '36', '46', '47', '48', '49', '50', '51', '59', '60', '63', '64', '65', '76', '77', '78', '89', '90', '91', '92', '102', '103', '104', '105', '106', '107', '116', '117', '118', '119', '120', '121', '122', '130', '131', '132', '133', '135', '136', '144', '145', '146', '147', '148', '149', '150', '151', '152', '153', '159', '160', '161', '162', '163', '164', '172', '173', '174', '175', '176']},


}